#
# spec file for package python-efilter
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define base_name efilter
%define version 1.1.4
%define mangled_version 1!1.4
%define unmangled_version 1-1.4
%define release 1
Name:           python-%{base_name}
Version:        1.1.4
Release:        1.2
Summary:        EFILTER query language
License:        Apache-2.0
# FIXME: use correct group, see "https://en.opensuse.org/openSUSE:Package_group_guidelines"
Group:          Development/Libraries
Url:            https://github.com/google/dotty/
Source0:        %{base_name}-%{mangled_version}.tar.gz
BuildRequires:  python-setuptools
BuildRequires:  fdupes
Requires:       python-python-dateutil
Requires:       python-six >= 1.4.0
Requires:       python-tz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
EFILTER is a general-purpose destructuring and search language implemented in Python, and suitable for integration with any Python project that requires a search function for some of its data.

%package -n python-%{name}
Summary:        EFILTER query language

%description -n python-%{name}
EFILTER is a general-purpose destructuring and search language implemented in Python, and suitable for integration with any Python project that requires a search function for some of its data.

%prep
%setup -q -n %{base_name}-%{unmangled_version}

%build
python setup.py build

%install
python setup.py install -O1 --root=%{buildroot} 
%fdupes -s %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS.txt LICENSE.txt README.md
#%dir %{python_sitearch}/efilter
%{python_sitelib}/efilter*
%exclude %{python_sitelib}/sample_projects

%changelog
* Thu Aug  4 2016 Greg.Freemyer@gmail.com
- change Requires: python-dateutil to python-python-dateutil
* Fri Jul 29 2016 Greg.Freemyer@gmail.com
- initial package v1-1.4
